<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.clock.mapper.EmployeeMapper">

    <resultMap type="com.ruoyi.clock.domain.Employee" id="EmployeeResult">
        <result property="employeeId" column="employee_id"/>
        <result property="employeeName" column="employee_name"/>
        <result property="shopId" column="shop_id"/>
        <result property="phonenumber" column="phonenumber"/>
        <result property="status" column="status"/>
        <result property="password" column="password"/>
        <result property="delFlag" column="del_flag"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>

    <select id="selectUserByUserName" resultType="com.ruoyi.clock.domain.Employee">
        select * from tb_employee e where e.del_flag = '0' and e.phonenumber = #{userName}
    </select>

</mapper>
